layui.use([ 'table', 'form', 'element', 'laydate','upload','util' ], function() {
	var $ = layui.jquery
	table = layui.table,
	form = layui.form, 
	element = layui.element,
	laydate = layui.laydate,
	upload = layui.upload,
	util = layui.util;

	// 生成表格
	table.render({
		elem : '#logTable',
		url : '../../../getUpdateLogs',
		toolbar : '#toolbarDemo',
		title : "更新日志",// 导出名
		id : 'logAll',
		// skin : 'row',
		// size :'lg',
		border : true,
		page : true,
		limits : [ 10, 30, 50, 80, 100, 999 ],
		where : {
			content : '',
		},
		cols : [ [
			{ type: 'checkbox' },
			{
				type : 'numbers',
				title : '序号',
				unresize : true
			}, {
				field : 'content',
				align : "center",
				width :  520,
				title : '更新内容'
			}, {
				field : 'addTime',
				align : "center",
				width :  260,
				title : '更新时间',
				templet : function(d) {
					return d.addTime != null ?layui.util.toDateString(d.addTime, "yyyy-MM-dd HH:mm:ss") : "";
				} 
			}, {
				field : 'createBy',
				align : "center",
				width :  120,
				title : '添加人'
			}, {
				fixed : 'right',
				title : '操作',
				align : "center",
				width :  180,
				toolbar : '#barDemo'
			} ] ],
		parseData : function(res) { // 将原始数据解析成 table 组件所规定的数据
			return {
				"code" : 0, // 解析接口状态
				"msg" : "", // 解析提示文本
				"count" : res.data.list.length,// 解析数据长度
				"data" : res.data.list
			// 解析数据列表
			};
		}
	});
	//点击查询按钮，重载文章表格
	$('#search').on('click', function() {
		table.reload('logAll', {
			method : 'post',
			where : {
				content : $("#content").val(),
				add_time_begin 	: $("#addTimeBegin").val(),
				add_time_end 	: $("#addTimeEnd").val()
			},
			page : {
				curr : 1
			}
		});
		return false;
	});
	// 时间选择器初始化 开始时间
	laydate.render({
		elem: '#addTimeBegin',
		format: 'yyyy-MM-dd',
		done: function (value, date, endDate) {
			var startDate = new Date(value).getTime();
			var endTime = new Date($('#addTimeEnd').val()).getTime();
			if (endTime < startDate) {
				layer.msg('结束时间不能小于开始时间');
				$('#addTimeBegin').val($('#addTimeEnd').val());
			}
		}
	})
	laydate.render({ //结束时间
		elem: '#addTimeEnd',
		format: 'yyyy-MM-dd',
		done: function (value, date, endDate) {
			var startDate = new Date($('#addTimeBegin').val()).getTime();
			var endTime = new Date(value).getTime();
			if (endTime < startDate) {
				layer.msg('结束时间不能小于开始时间');
				$('#addTimeEnd').val($('#addTimeBegin').val());
			}
		}
	});
	
	//监听头工具栏事件--新增文章按钮
	table.on('toolbar(logTable)', function (obj) {
		var checkStatus = table.checkStatus(obj.config.id), 
		data = checkStatus.data; //获取选中的数据
		switch (obj.event) {
			case 'add':
			    layer.open({
				type: 2,
				title: "添加更新日志",
				area: ['900px','600px'],
				skin: "layui-layer-molv",
				content: './addLog.jsp',
				});
		    break;
		};
	});
	
	//监听表格操作按钮--文章编辑
	table.on('tool(logTable)',function(obj){
		if(obj.event === 'edit'){
			layer.open({
	    		type: 2,
	    		title: "修改信息",
	    		area: ['900px','600px'],
				skin: "layui-layer-molv",
	    		fix: false, //不固定
	    		//btn: ['取消'],//弹出层按钮
	    		maxmin: true,
	    		content: './updateLog.jsp',
	    		success: function(layero, index){
	    			var body = layer.getChildFrame('body', index);
	    		    var iframeWin = window[layero.find('iframe')[0]['name']]; //得到iframe页的窗口对象
	    		    body.find('#id').val(obj.data.id);
	    		    body.find('#addTime').val(layui.util.toDateString(obj.data.addTime,"yyyy-MM-dd"));
	    		    body.find('#content').val(obj.data.content);
	    		}
	    	 }); 
		}else if(obj.event === 'del'){
			layer.confirm('确定要删除该数据么？',{icon:3,title:"提示"}, function(index){
				$.ajax({
	    			url:"../../../deleteLog",
	    		  	data:{'id': obj.data.id},
	    			type:"post",
	    		  	success:function (data) {
	    			 	if (data.code == 200) {
	    			 		layer.msg('删除成功！',{icon:6,offset:"auto",time:1000});//提示框
					  	}else{
						    layer.msg('删除失败！',{icon:5,offset:"auto",time:1000});//提示框
					  	}
	    			 	setTimeout(function(){
	    			 		location.reload();//重新加载页面
						}, 1100);
	    		 	}  
	    	 	}); 
			});
		}
	});
});